SND_SOC_DAPM_ADD_ROU(9)

NAME
snd_soc_dapm_add_routes - Add routes between DAPM widgets

SYNOPSIS

int snd_soc_dapm_add_routes(struct snd_soc_dapm_context * dapm, const struct snd_soc_dapm_route * route, int num);

ARGUMENTS

dapm
    DAPM context

route
    audio routes

num
    number of routes

DESCRIPTION

Connects 2 dapm widgets together via a named audio path. The sink is the widget receiving the audio signal, whilst the source is the sender of the audio signal.

Returns 0 for success else error. On error all resources can be freed with a call to snd_soc_card_free.

COPYRIGHT